Bug 142130 - EDITING Two as-character anchored images get marked as deleted with new image TC feature
Summary: EDITING Two as-character anchored images get marked as deleted with new image...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords: implementationError
Depends on:
Blocks: Track-Changes-Image
  Show dependency treegraph
 
Reported: 2021-05-06 13:35 UTC by NISZ LibreOffice Team
Modified: 2021-06-23 10:03 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Writer with two images anchored as character (113.23 KB, application/vnd.oasis.opendocument.text)
2021-05-06 13:35 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document in Writer before deleting (157.30 KB, image/png)
2021-05-06 13:37 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Writer, one change marks both images removed (162.69 KB, image/png)
2021-05-06 13:37 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-05-06 13:35:50 UTC
Created attachment 171698 [details]
Example file from Writer with two images anchored as character

Attached example file has two images anchored as characters in the same paragraph.
With the new image deletion as tracked change feature deleting one of them marks both as deleted.

Steps to reproduce:
    1. Open attached document
    2. Click on the dogs picture, press Delete

Actual results:
Both images are marked as deleted.

Expected results:
Only the dog picture is marked as deleted.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 9df3aa7ea72d61462e430643f2a80906dce4e15b
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-05-06 13:37:14 UTC
Created attachment 171699 [details]
Screenshot of the original document in Writer before deleting
Comment 2 NISZ LibreOffice Team 2021-05-06 13:37:34 UTC
Created attachment 171700 [details]
Screenshot of the problem in Writer, one change marks both images removed
Comment 3 Commit Notification 2021-05-10 12:38:07 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b11287cda0ce308f5fddac4c0877718fec7c70a5

tdf#142130 sw track changes: fix crossing out of neighboring images

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 BogdanB 2021-05-14 04:26:38 UTC
It's ok now, just the deleted image is marked as deleted.

Verified in Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 54387d1d35cb79a30be208052831de74efd8b2f2
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 5 László Németh 2021-05-14 14:01:58 UTC
@BogdanB: thanks for the verification!